SystemOrganization addCategory: #ConfigurationOfJQueryMobile!

Object subclass: #ConfigurationOfJQueryMobile
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfJQueryMobile'!

!ConfigurationOfJQueryMobile class methodsFor: 'development support' stamp: 'NickAger 10/13/2011 15:05'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfJQueryMobile class methodsFor: 'private' stamp: 'NickAger 10/13/2011 15:05'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfJQueryMobile class methodsFor: 'private' stamp: 'NickAger 10/13/2011 15:05'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfJQueryMobile class methodsFor: 'private' stamp: 'NickAger 10/13/2011 15:05'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfJQueryMobile class methodsFor: 'metacello tool support' stamp: 'NickAger 10/13/2011 15:05'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfJQueryMobile class methodsFor: 'loading' stamp: 'NickAger 10/13/2011 15:05'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfJQueryMobile class methodsFor: 'loading' stamp: 'NickAger 10/13/2011 15:05'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfJQueryMobile class methodsFor: 'loading' stamp: 'NickAger 10/13/2011 15:05'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfJQueryMobile class methodsFor: 'accessing' stamp: 'NickAger 10/13/2011 15:05'!
project

	^self new project! !

!ConfigurationOfJQueryMobile class methodsFor: 'development support' stamp: 'NickAger 10/13/2011 15:05'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfJQueryMobile methodsFor: 'baselines' stamp: 'NickAger 10/14/2011 15:30'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/jQueryMobile'.
		spec 
			package: 'JQueryMobile-Widgets-Decorations';
			package: 'JQueryMobile-Tools';
			package: 'JQueryMobile-Libraries';
			package: 'JQueryMobile-Email';
			package: 'JQueryMobile-Canvas-Tags';
			package: 'JQueryMobile-Tests-Functional' with: [
				spec requires: #('JQueryMobile-Widgets-Decorations' 'JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas-Tags' ). ];
			package: 'JQueryMobile-Tests-Email'.
		spec 
			group: 'default' with: #('Core' 'Tests' );
			group: 'Core' with: #('JQueryMobile-Widgets-Decorations' 'JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas-Tags' );
			group: 'Tests' with: #('JQueryMobile-Tests-Functional' 'JQueryMobile-Tests-Email' ). ].
! !

!ConfigurationOfJQueryMobile methodsFor: 'baselines' stamp: 'NickAger 10/24/2011 20:13'!
baseline11: spec
	<version: '1.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/jQueryMobile'.
		spec 
			package: 'JQueryMobile-Core-Callbacks';
			package: 'JQueryMobile-Core-Document';
			package: 'JQueryMobile-Core-Rendering';
			package: 'JQueryMobile-RenderLoop';
			package: 'JQueryMobile-Scripting';
			package: 'JQueryMobile-Libraries';
			package: 'JQueryMobile-Widgets-Decorations';
			package: 'JQueryMobile-Tools';
			package: 'JQueryMobile-Email';
			package: 'JQueryMobile-Canvas-Tags';
			package: 'JQueryMobile-Tests-Functional' with: [
				spec requires: #('JQueryMobile-Widgets-Decorations' 'JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas-Tags' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting') ];
			package: 'JQueryMobile-Tests-Core-Callbacks';
			package: 'JQueryMobile-Tests-Email';
			package: 'JQueryMobile-Tests-Scripting'.
		spec 
			group: 'default' with: #('Core' 'Tests' );
			group: 'Core' with: #('JQueryMobile-Widgets-Decorations' 'JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas-Tags' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' );
			group: 'Tests' with: #('JQueryMobile-Tests-Functional' 'JQueryMobile-Tests-Email' 'JQueryMobile-Tests-Scripting' 'JQueryMobile-Tests-Core-Callbacks' ) ]! !

!ConfigurationOfJQueryMobile methodsFor: 'baselines' stamp: 'NickAger 10/26/2011 08:56'!
baseline12: spec
	<version: '1.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/jQueryMobile'.
		spec 
			package: 'JQueryMobile-Core-Callbacks';
			package: 'JQueryMobile-Core-Document';
			package: 'JQueryMobile-Core-Rendering';
			package: 'JQueryMobile-RenderLoop';
			package: 'JQueryMobile-Scripting';
			package: 'JQueryMobile-Libraries';
			package: 'JQueryMobile-Tools';
			package: 'JQueryMobile-Email';
			package: 'JQueryMobile-Canvas-Tags';
			package: 'JQueryMobile-Tests-Functional' with: [
				spec requires: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas-Tags' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting') ];
			package: 'JQueryMobile-Tests-Core-Callbacks';
			package: 'JQueryMobile-Tests-Email';
			package: 'JQueryMobile-Tests-Scripting'.
		spec 
			group: 'default' with: #('Core' 'Tests' );
			group: 'Core' with: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas-Tags' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' );
			group: 'Tests' with: #('JQueryMobile-Tests-Functional' 'JQueryMobile-Tests-Email' 'JQueryMobile-Tests-Scripting' 'JQueryMobile-Tests-Core-Callbacks' ) ]! !

!ConfigurationOfJQueryMobile methodsFor: 'baselines' stamp: 'NickAger 10/29/2011 18:43'!
baseline13: spec
	<version: '1.3-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/jQueryMobile'.
		spec 
			package: 'JQueryMobile-Core-Callbacks';
			package: 'JQueryMobile-Core-Document';
			package: 'JQueryMobile-Core-Rendering';
			package: 'JQueryMobile-RenderLoop';
			package: 'JQueryMobile-Scripting';
			package: 'JQueryMobile-Libraries';
			package: 'JQueryMobile-Tools';
			package: 'JQueryMobile-Email';
			package: 'JQueryMobile-Canvas';
			package: 'JQueryMobile-Core-HTTP';
			package: 'JQueryMobile-Tests-Functional' with: [
				spec requires: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP') ];
			package: 'JQueryMobile-Tests-Core-Callbacks';
			package: 'JQueryMobile-Tests-Email';
			package: 'JQueryMobile-Tests-Scripting'.
		spec 
			group: 'default' with: #('Core' 'Tests' );
			group: 'Core' with: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP');
			group: 'Tests' with: #('JQueryMobile-Tests-Functional' 'JQueryMobile-Tests-Email' 'JQueryMobile-Tests-Scripting' 'JQueryMobile-Tests-Core-Callbacks' ) ]! !

!ConfigurationOfJQueryMobile methodsFor: 'baselines' stamp: 'NickAger 10/30/2011 16:41'!
baseline14: spec
	<version: '1.4-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/jQueryMobile'.
		spec 
			package: 'JQueryMobile-BookmarkBubble';
			package: 'JQueryMobile-Core-Callbacks';
			package: 'JQueryMobile-Core-Document';
			package: 'JQueryMobile-Core-Rendering';
			package: 'JQueryMobile-RenderLoop';
			package: 'JQueryMobile-Scripting';
			package: 'JQueryMobile-Libraries';
			package: 'JQueryMobile-Tools';
			package: 'JQueryMobile-Email';
			package: 'JQueryMobile-Canvas';
			package: 'JQueryMobile-Core-HTTP';
			package: 'JQueryMobile-Tests-Functional' with: [
				spec requires: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP' 'JQueryMobile-BookmarkBubble') ];
			package: 'JQueryMobile-Tests-Core-Callbacks';
			package: 'JQueryMobile-Tests-Email';
			package: 'JQueryMobile-Tests-Scripting'.
		spec 
			group: 'default' with: #('Core' 'Tests' );
			group: 'Core' with: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP' 'JQueryMobile-BookmarkBubble');
			group: 'Tests' with: #('JQueryMobile-Tests-Functional' 'JQueryMobile-Tests-Email' 'JQueryMobile-Tests-Scripting' 'JQueryMobile-Tests-Core-Callbacks' ) ]! !

!ConfigurationOfJQueryMobile methodsFor: 'baselines' stamp: 'NickAger 11/1/2011 08:47'!
baseline15: spec
	<version: '1.5-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/jQueryMobile'.
		spec 
			package: 'JQueryMobile-BookmarkBubble';
			package: 'JQueryMobile-Core-Callbacks';
			package: 'JQueryMobile-Core-Document';
			package: 'JQueryMobile-Core-Rendering';
			package: 'JQueryMobile-RenderLoop';
			package: 'JQueryMobile-Scripting';
			package: 'JQueryMobile-Libraries';
			package: 'JQueryMobile-Tools';
			package: 'JQueryMobile-Email';
			package: 'JQueryMobile-Canvas';
			package: 'JQueryMobile-Core-HTTP';
			package: 'JQueryMobile-Tests-Functional' with: [
				spec requires: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP' 'JQueryMobile-BookmarkBubble' 'JQueryMobile-UI-Widgets') ];
			package: 'JQueryMobile-Tests-Core-Callbacks';
			package: 'JQueryMobile-Tests-Email';
			package: 'JQueryMobile-Tests-Scripting';
			package: 'JQueryMobile-UI-Widgets'.
		spec 
			group: 'default' with: #('Core' 'Tests' );
			group: 'Core' with: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP' 'JQueryMobile-BookmarkBubble' 'JQueryMobile-UI-Widgets');
			group: 'Tests' with: #('JQueryMobile-Tests-Functional' 'JQueryMobile-Tests-Email' 'JQueryMobile-Tests-Scripting' 'JQueryMobile-Tests-Core-Callbacks' ) ]! !

!ConfigurationOfJQueryMobile methodsFor: 'baselines' stamp: 'NickAger 11/3/2011 08:25'!
baseline16: spec
	<version: '1.6-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/jQueryMobile'.
		spec project: 'Seaside30' with: [
   			spec
     				className: 'ConfigurationOfSeaside30';
     				versionString: #stable;
     				repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		spec 
			package: 'JQueryMobile-BookmarkBubble';
			package: 'JQueryMobile-Core-Callbacks';
			package: 'JQueryMobile-Core-Document';
			package: 'JQueryMobile-Core-Rendering';
			package: 'JQueryMobile-Decorations';
			package: 'JQueryMobile-RenderLoop';
			package: 'JQueryMobile-Scripting';
			package: 'JQueryMobile-Libraries';
			package: 'JQueryMobile-Tools';
			package: 'JQueryMobile-Email';
			package: 'JQueryMobile-Canvas';
			package: 'JQueryMobile-Core-HTTP';
			package: 'JQueryMobile-Tests-Functional' with: [
				spec requires: #('Seaside30' 'JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP' 'JQueryMobile-BookmarkBubble' 'JQueryMobile-UI-Widgets' 'JQueryMobile-Decorations') ];
			package: 'JQueryMobile-Tests-Core-Callbacks';
			package: 'JQueryMobile-Tests-Email';
			package: 'JQueryMobile-Tests-Scripting';
			package: 'JQueryMobile-Samples-Flickr';
			package: 'JQueryMobile-UI-Widgets'.
		spec 
			group: 'default' with: #('Core' 'Tests' 'Samples');
			group: 'Core' with: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP' 'JQueryMobile-BookmarkBubble' 'JQueryMobile-UI-Widgets'  'JQueryMobile-Decorations');
			group: 'Tests' with: #('JQueryMobile-Tests-Functional' 'JQueryMobile-Tests-Email' 'JQueryMobile-Tests-Scripting' 'JQueryMobile-Tests-Core-Callbacks' );
			group: 'Samples' with: #('JQueryMobile-Samples-Flickr' ) ]! !

!ConfigurationOfJQueryMobile methodsFor: 'baselines' stamp: 'NickAger 11/4/2011 09:29'!
baseline17: spec
	<version: '1.7-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/jQueryMobile'.
		spec project: 'Seaside30' with: [
   			spec
     				className: 'ConfigurationOfSeaside30';
     				versionString: #stable;
     				repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		spec 
			package: 'JQueryMobile-BookmarkBubble';
			package: 'JQueryMobile-Core-Callbacks';
			package: 'JQueryMobile-Core-Document';
			package: 'JQueryMobile-Core-Rendering';
			package: 'JQueryMobile-Decorations';
			package: 'JQueryMobile-RenderLoop';
			package: 'JQueryMobile-Scripting';
			package: 'JQueryMobile-Libraries';
			package: 'JQueryMobile-Tools';
			package: 'JQueryMobile-Email';
			package: 'JQueryMobile-Canvas';
			package: 'JQueryMobile-Core-HTTP';
			package: 'JQueryMobile-Tests-Functional' with: [
				spec requires: #('Seaside30' 'JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP' 'JQueryMobile-BookmarkBubble' 'JQueryMobile-UI-Widgets' 'JQueryMobile-Decorations') ];
			package: 'JQueryMobile-Tests-Core-Callbacks';
			package: 'JQueryMobile-Tests-Email';
			package: 'JQueryMobile-Tests-Scripting';
			package: 'JQueryMobile-UI-Widgets'.
		spec 
			group: 'default' with: #('Core' 'Tests');
			group: 'Core' with: #('JQueryMobile-Tools' 'JQueryMobile-Libraries' 'JQueryMobile-Email' 'JQueryMobile-Canvas' 'JQueryMobile-Core-Callbacks' 'JQueryMobile-Core-Document' 'JQueryMobile-Core-Rendering' 'JQueryMobile-RenderLoop' 'JQueryMobile-Scripting' 'JQueryMobile-Core-HTTP' 'JQueryMobile-BookmarkBubble' 'JQueryMobile-UI-Widgets'  'JQueryMobile-Decorations');
			group: 'Tests' with: #('JQueryMobile-Tests-Functional' 'JQueryMobile-Tests-Email' 'JQueryMobile-Tests-Scripting' 'JQueryMobile-Tests-Core-Callbacks' )  ]! !

!ConfigurationOfJQueryMobile methodsFor: 'accessing' stamp: 'NickAger 10/13/2011 15:05'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !
